function plotSlist(s,markOn,color,closePolygon)
%PLOTSLIST(s,<markOn>,<color>,<closePolygon>) draws polygon given by slist
%S: polygonal list
% optional:
%  markOn: mark vertices (default: off)
%  color: plot color of segments (default: blue)
%  closePolygon: connect first and last vertex (default: on)
  
if length(s)<1
   fprintf('PLOTSLIST: WARNING - empty list, nothing to do !\n');
   return;
end

if exist('closePolygon')==0
    closePolygon=1;
end


if exist ('color')~=1
   color='b';
end

if closePolygon
    s1=[s;s(1,:)];
else
    s1=s;
end

plot(s1(:,1),s1(:,2),color)

hold on
%plot(s(1,1),s(1,2),'k*')  %starting point
hold off

if exist('markOn') & markOn
   hold on
   plot(s(:,1),s(:,2),'ko')
   
   hold off
end

axis equal;
